Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction.synchronization
Class HibernateSynchronizationImpl

    java.lang.Object
      org.hibernate.transaction.synchronization.HibernateSynchronizationImpl

All Implemented Interfaces:
  Synchronization

    public class HibernateSynchronizationImpl

extends Object
implements Synchronization

The `Synchronization` implementation Hibernate registers with the JTA `Transaction`

Author:
  Gavin King, Steve Ebersole

Constructor Summary
`HibernateSynchronizationImpl(CallbackCoordinator coordinator)`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HibernateSynchronizationImpl

    public HibernateSynchronizationImpl(CallbackCoordinator coordinator)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.